Bug 250589 - lang/rust (1.47.0) fails with libressl-3.2.2
Summary: lang/rust (1.47.0) fails with libressl-3.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mikael Urankar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-25 00:16 UTC by John Kennedy
Modified: 2020-10-28 13:43 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (rust)


Attachments
patch to add pattern for libressl-3.2.2 (718 bytes, patch)
2020-10-25 00:16 UTC, John Kennedy
no flags Details | Diff
2nd attempt at submitting patch (1008 bytes, patch)
2020-10-28 04:21 UTC, John Kennedy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Kennedy 2020-10-25 00:16:44 UTC
Created attachment 219046 [details]
patch to add pattern for libressl-3.2.2

I've configured my system with DEFAULT_VERSIONS += ssl=libressl.  With libressl-3.2.2, this is failing like this, as it has with previous libressl version bumps:

This crate is only compatible with OpenSSL 1.0.1 through 1.1.1, or LibreSSL 2.5 through 3.2.0, but a different version of OpenSSL was found. The build is now aborting due to this version mismatch.

I'm sure this patch isn't perfect, but it lets me build rust and things that depend on it.
Comment 1 Mikael Urankar freebsd_committer 2020-10-26 17:06:08 UTC
Can you attach a proper patch?
Comment 2 John Kennedy 2020-10-28 04:21:05 UTC
Created attachment 219164 [details]
2nd attempt at submitting patch

I'm not sure what you mean by a "proper patch."

The last time I submitted the file as it would be dropped into lang/rust/files/patch-vendor_openssl-sys_build_main.rs, this time I submitted a diff that should create the file.

I haven't submitted many patches, sorry.
Comment 3 commit-hook freebsd_committer 2020-10-28 13:42:27 UTC
A commit references this bug:

Author: mikael
Date: Wed Oct 28 13:41:34 UTC 2020
New revision: 553543
URL: https://svnweb.freebsd.org/changeset/ports/553543

Log:
  lang/rust: fix build with libressl-3.2.2

  PR:		250589
  Submitted by:	John Kennedy <warlock@phouka.net>

Changes:
  head/lang/rust/files/patch-vendor_openssl-sys_build_main.rs
Comment 4 Mikael Urankar freebsd_committer 2020-10-28 13:43:10 UTC
Thanks!